import request from '@/utils/request'

// 查询招生计划列表
export function listPdEnrolldataEnterPlan(query) {
  return request({
    url: '/back/pdEnrolldataEnterPlan/list',
    method: 'get',
    params: query
  })
}

// 查询招生计划详细
export function getPdEnrolldataEnterPlan(id) {
  return request({
    url: '/back/pdEnrolldataEnterPlan/' + id,
    method: 'get'
  })
}

// 新增招生计划
export function addPdEnrolldataEnterPlan(data) {
  return request({
    url: '/back/pdEnrolldataEnterPlan',
    method: 'post',
    data: data
  })
}

// 修改招生计划
export function updatePdEnrolldataEnterPlan(data) {
  return request({
    url: '/back/pdEnrolldataEnterPlan',
    method: 'put',
    data: data
  })
}

// 删除招生计划
export function delPdEnrolldataEnterPlan(id) {
  return request({
    url: '/back/pdEnrolldataEnterPlan/' + id,
    method: 'delete'
  })
}
